[package]
name = "generic-template-node"
authors = { workspace = true }
build = "build.rs"
description = "Node compatible with generic runtime template."
edition = { workspace = true }
license = { workspace = true }
publish = false
repository = { workspace = true }
version = "3.0.0"

[dependencies]
clap = { workspace = true }
futures = { workspace = true }
jsonrpsee = { workspace = true, features = [ "server" ] }
log = { workspace = true }
parity-scale-codec = { workspace = true }
serde = { workspace = true, features = [ "derive" ] }
serde_json = { workspace = true }

# Local
generic-runtime-template = { path = "../runtime" }

# Bizinikiwi
pezframe-benchmarking = { workspace = true }
pezframe-benchmarking-cli = { workspace = true }
pezpallet-transaction-payment-rpc = { workspace = true }
pezsc-basic-authorship = { workspace = true }
pezsc-chain-spec = { workspace = true }
pezsc-cli = { workspace = true }
pezsc-client-api = { workspace = true }
pezsc-consensus = { workspace = true }
pezsc-executor = { workspace = true }
pezsc-network = { workspace = true }
pezsc-network-sync = { workspace = true }
pezsc-offchain = { workspace = true }
pezsc-rpc = { workspace = true }
pezsc-service = { workspace = true }
pezsc-sysinfo = { workspace = true }
pezsc-telemetry = { workspace = true }
pezsc-tracing = { workspace = true }
pezsc-transaction-pool = { workspace = true }
pezsc-transaction-pool-api = { workspace = true }
pezsp-api = { workspace = true }
pezsp-block-builder = { workspace = true }
pezsp-blockchain = { workspace = true }
pezsp-consensus-aura = { workspace = true }
pezsp-core = { workspace = true }
pezsp-io = { workspace = true }
pezsp-keystore = { workspace = true }
pezsp-runtime = { workspace = true }
pezsp-timestamp = { workspace = true }
bizinikiwi-pezframe-rpc-system = { workspace = true }
bizinikiwi-prometheus-endpoint = { workspace = true }

# Pezkuwi
pezkuwi-cli = { workspace = true }
pezkuwi-primitives = { workspace = true }
staging-xcm = { workspace = true }

# Pezpezcumulus
color-print = { workspace = true }
pezcumulus-client-cli = { workspace = true }
pezcumulus-client-collator = { workspace = true }
pezcumulus-client-consensus-aura = { workspace = true }
pezcumulus-client-consensus-common = { workspace = true }
pezcumulus-client-consensus-proposer = { workspace = true }
pezcumulus-client-service = { workspace = true }
pezcumulus-primitives-core = { workspace = true }
pezcumulus-primitives-teyrchain-inherent = { workspace = true }
pezcumulus-relay-chain-interface = { workspace = true }

# Tanssi
nimbus-consensus = { workspace = true }

[build-dependencies]
bizinikiwi-build-script-utils = { workspace = true }

[features]
default = []
async-backing = []
runtime-benchmarks = [
	"pezframe-benchmarking-cli/runtime-benchmarks",
	"pezframe-benchmarking/runtime-benchmarks",
	"generic-runtime-template/runtime-benchmarks",
	"pezkuwi-cli/runtime-benchmarks",
	"pezkuwi-primitives/runtime-benchmarks",
	"pezsc-service/runtime-benchmarks",
	"pezsp-runtime/runtime-benchmarks",
]
tanssi = []
try-runtime = [
	"generic-runtime-template/try-runtime",
	"pezkuwi-cli/try-runtime",
	"pezsp-runtime/try-runtime",
]

[lints]
workspace = true
